Upsert Event Areas
post
/config/sim/v2/setup/upsertEventAreas
Updates provided fields if the Event Area exists; inserts a new Event Area if it does not.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Area upsert request body
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique hierarchy unit value.Example:
3599 -
name:
object name
A group of string objects representing the name of the Event Area in configured languages. Required in case of inserting a new Event Area.
-
objectNum(required):
integer
Object number of the Event Area.Example:
1
Nested Schema : name
Type:
objectA group of string objects representing the name of the Event Area in configured languages. Required in case of inserting a new Event Area.
Example:
{
"1":"Patio",
"2":"Terrasse",
"3":"Patio"
}Response
Supported Media Types
- application/json
200 Response
Event Area updated or inserted.
Root Schema : schema
Type:
Show Source
object-
hierUnitId:
integer
Unique hierarchy unit value.Example:
3599 -
objectNum:
integer
Object number of the Event Area.Example:
1